import QtQuick 2.0

Item {
    id: time

    property int fontSize: 10
    property color fontColor: "#F5F5F5"
    property string formatTime: "hh:mm:ss"
    property string textFontName: "Sans Serif"
    property string iconFontName: faRegular.name

    Text {
        id: clockIcon
        anchors.right: foo.left
        color: "#F5F5F5"
        font.pointSize: fontSize
        font.family: iconFontName
        text: " "
    }

    Text {
        id: foo
        color:fontColor
        font.pointSize: fontSize
        font.family: textFontName
        function set() {
            foo.text = Qt.formatTime(new Date(), formatTime)
        }
    }

    Timer {
        id: textTimer
        interval: 1000
        repeat: true
        running: true
        triggeredOnStart: true
        onTriggered: foo.set()
    }
}
