#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QTime>
#include <QtSerialBus/QCanBus>
#include <QtSerialBus/QCanBusFrame>
#include "canbus.h"
#include "backend.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    qmlRegisterType<CanBus>("io.qt.canbus", 1, 0, "CanBus");
    qmlRegisterType<BackEnd>("io.qt.backend" , 1, 0, "BackEnd");
    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;

    return app.exec();
}
